Retrieve a Payment Method

Retrieves a Payment Method by ID.

Use this endpoint when you already have a Payment Method ID and need to inspect the object, including internal single-use methods created during confirmation flows.

Path Parameters
  • id
    Type: string
    max length:  
    100
    required
Query Parameters
  • expand
    Type: array string[]enum
    const:  
    customer

    Expand related objects inline. Currently supports customer.

    values
    • customer
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment_methods/{id}
curl 'https://api.paypercut.io/v1/payment_methods/{id}?expand=customer' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "type": "card",
  "card": {
    "cardholder_name": null,
    "brand": "string",
    "country": null,
    "issuer": null,
    "display_brand": null,
    "exp_month": 1,
    "exp_year": 1,
    "fingerprint": null,
    "funding": "string",
    "segment": "string",
    "iin": "string",
    "last4": "string",
    "wallet": {
      "dynamic_last4": null,
      "type": "apple_pay"
    },
    "three_d_secure_usage": {
      "supported": true
    }
  },
  "billing_details": {
    "email": null,
    "name": null,
    "phone": null,
    "address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    }
  },
  "billing_address": {
    "city": null,
    "country": null,
    "line1": null,
    "line2": null,
    "postal_code": null,
    "state": null
  },
  "metadata": {
    "additionalProperty": "string"
  },
  "customer": "01K755J9SV2364REVHB915Z2FW",
  "livemode": true,
  "created": "2026-05-29T13:55:16.560Z"
}